function corporate_office_openNav() {
  jQuery(".sidenav").addClass('show');
}
function corporate_office_closeNav() {
  jQuery(".sidenav").removeClass('show');
}

( function( window, document ) {
  function corporate_office_keepFocusInMenu() {
    document.addEventListener( 'keydown', function( e ) {
      const corporate_office_nav = document.querySelector( '.sidenav' );

      if ( ! corporate_office_nav || ! corporate_office_nav.classList.contains( 'show' ) ) {
        return;
      }
      const elements = [...corporate_office_nav.querySelectorAll( 'input, a, button' )],
        corporate_office_lastEl = elements[ elements.length - 1 ],
        corporate_office_firstEl = elements[0],
        corporate_office_activeEl = document.activeElement,
        tabKey = e.keyCode === 9,
        shiftKey = e.shiftKey;

      if ( ! shiftKey && tabKey && corporate_office_lastEl === corporate_office_activeEl ) {
        e.preventDefault();
        corporate_office_firstEl.focus();
      }

      if ( shiftKey && tabKey && corporate_office_firstEl === corporate_office_activeEl ) {
        e.preventDefault();
        corporate_office_lastEl.focus();
      }
    } );
  }
  corporate_office_keepFocusInMenu();
} )( window, document );

var corporate_office_btn = jQuery('#button');

jQuery(window).scroll(function() {
  if (jQuery(window).scrollTop() > 300) {
    corporate_office_btn.addClass('show');
  } else {
    corporate_office_btn.removeClass('show');
  }
});

corporate_office_btn.on('click', function(e) {
  e.preventDefault();
  jQuery('html, body').animate({scrollTop:0}, '300');
});

jQuery(document).ready(function() {
    var owl = jQuery('#top-slider .owl-carousel');
    owl.owlCarousel({
    margin: 0,
    nav:false,
    autoplay : true,
    lazyLoad: true,
    autoplayTimeout: 5000,
    loop: false,
    dots: false,
    navText : ['<i class="fa fa-lg fa-chevron-left" aria-hidden="true"></i>','<i class="fa fa-lg fa-chevron-right" aria-hidden="true"></i>'],
    responsive: {
      0: {
        items: 1
      },
      576: {
        items: 1
      },
      768: {
        items: 1
      },
      1000: {
        items: 1
      },
      1200: {
        items: 1
      }
    },
    autoplayHoverPause : false,
    mouseDrag: true
  });
})

window.addEventListener('load', (event) => {
  jQuery(".loading").delay(2000).fadeOut("slow");
  jQuery(".loading2").delay(2000).fadeOut("slow");
});

jQuery(window).scroll(function() {
  var data_sticky = jQuery('.main-header').attr('data-sticky');

  if (data_sticky == "true") {
    if (jQuery(this).scrollTop() > 1){
      jQuery('.main-header').addClass("stick_header");
    } else {
      jQuery('.main-header').removeClass("stick_header");
    }
  }
});